local square = {}

function square:setup()
  self.img  = love.graphics.newImage('player.png')
  self.x    = 100
  self.y    = 100
end

function square.update( dt )
   if love.keyboard.isDown("right") then
      10 + 40 * dt
   end
   if love.keyboard.isDown("left") then
      10 - 40 * dt
   end   
   if love.keyboard.isDown("up") then
      10 - 40 * dt
   end
   if love.keyboard.isDown("down") then
      10 + 40 * dt
   end  
end

function square.draw()
  love.draw.rectangle('fill', 10, 10, 50, 50)
end

-- return the square local so we can access it outside of this file
return square